%global __requires_exclude ^perl\\(lsparse.pl\\)

Name:           mirror
Version:        2.9
Release:        %mkrel 27
Summary:        Perl program to mirror FTP sites
License:        BSD style
Group:          Networking/File transfer
URL:            http://sunsite.doc.ic.ac.uk/packages/mirror
Source0:        ftp://sunsite.org.uk/packages/mirror/%{name}.tar.bz2
Patch0:         %{name}-%{version}-mandrake.patch.bz2
Patch1:         %{name}-no-directory-goback.patch.bz2
Patch2:         %{name}-ftp.pl_wupatch.patch.bz2
Patch3:         %{name}-deldir.patch.bz2
Patch4:         %{name}-timelocal.patch.bz2
Patch5:         %{name}-perl5.30.patch.bz2
BuildArchitectures: noarch
BuildRequires:  patch
BuildRequires:  coreutils
Requires:       perl
Requires:       perl-base

%description
Perl program to mirror FTP sites.

%prep
%setup -q -c

%patch -P 0 -p1 -b .mdk
%patch -P 1 -p1 -b .sec
%patch -P 2 -p0 -b .wu
%patch -P 3 -p0 -b .dd
%patch -P 4 -p1 -b .tl
%patch -P 5 -p1 -b .p530

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_mandir}/man1
make "PLDIR=%{buildroot}%{_datadir}/%{name}" "BINDIR=%{buildroot}%{_bindir}" "MANDIR=%{buildroot}%{_mandir}/man1" install

install -m 644 %{name}.defaults %{buildroot}%{_sysconfdir}/%{name}.conf
install -m 644 %{name}.defaults %{buildroot}%{_datadir}/%{name}

ln -sf %{name}.pl %{buildroot}%{_bindir}/%{name}

mv %{buildroot}%{_mandir}/man1/mm.1 %{buildroot}%{_mandir}/man1/mm-mirror.1

%files
%doc README.txt *.html CHANGES*
%doc %{name}.nightly support/cyber-patches support/lstest.pl
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/do_unlinks.pl
%{_bindir}/%{name}
%{_bindir}/%{name}.pl
%{_bindir}/mm.pl
%{_bindir}/pkgs_to_mmin.pl
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/mm-mirror.1*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 2.9-27.mga10
+ Revision: 2221831
- Mageia 10 Mass Rebuild

* Tue Apr 02 2024 daviddavid <daviddavid> 2.9-26.mga10
+ Revision: 2053833
- use new patch macro

* Tue Mar 29 2022 umeabot <umeabot> 2.9-25.mga9
+ Revision: 1831204
- Mageia 9 Mass Rebuild

* Sun Jun 20 2021 bcornec <bcornec> 2.9-24.mga9
+ Revision: 1731489
- Add the patch to fix the perl 5.30 related issue
- Fix a perl 5.30 related issue

* Wed Feb 12 2020 umeabot <umeabot> 2.9-23.mga8
+ Revision: 1492104
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2.9-22.mga7
+ Revision: 1264451
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 2.9-21.mga6
+ Revision: 940716
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.9-20.mga5
+ Revision: 742661
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 2.9-19.mga5
+ Revision: 733970
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2.9-18.mga5
+ Revision: 682530
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.9-17.mga4
+ Revision: 523435
- Mageia 4 Mass Rebuild

* Sat Apr 20 2013 bcornec <bcornec> 2.9-16.mga3
+ Revision: 410602
- Fix mirror to work with perl 5.16 (missing timelocal function replaced in code - patch inspired from https://bugzilla.novell.com/show_bug.cgi?id=779218

* Sat Jan 12 2013 umeabot <umeabot> 2.9-15.mga3
+ Revision: 360111
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun May 15 2011 pterjan <pterjan> 2.9-14.mga1
+ Revision: 98940
- Rebuild for fixed find-requires

* Sat Apr 30 2011 ahmad <ahmad> 2.9-13.mga1
+ Revision: 93830
- bump rel to smoothen upgrades from mdv 2010.1

* Sat Feb 12 2011 bcornec <bcornec> 2.9-1.mga1
+ Revision: 50889
- Created package structure for mirror.

